### Method

# Snapd Notice get_user_id

since: 1.65

#### Declaration [src]

    const gchar*
    snapd_notice_get_user_id (
      SnapdNotice* notice
    )

#### Description [src]

Get the user ID for this notice, or NULL if no user is defined.

Available since: 1.65

Gets property | `Snapd.Notice:user-id`

#### Return value

Type: `const gchar*`

An user ID.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.